Bug 1830458 - Review Request: mdns-repeater - Multicast DNS repeater
Summary: Review Request: mdns-repeater - Multicast DNS repeater
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-02 02:44 UTC by Robert Scheck
Modified: 2020-06-26 01:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-19 01:02:03 UTC
Type: Bug
mail: fedora-review+


Attachments (Terms of Use)

Description Robert Scheck 2020-05-02 02:44:46 UTC
Spec URL: https://labs.linuxnetz.de/bugzilla/mdns-repeater.spec
SRPM URL: https://labs.linuxnetz.de/bugzilla/mdns-repeater-1.11-1.src.rpm
Description: mdns-repeater is a Multicast DNS repeater for Linux. Multicast DNS uses the 224.0.0.51 address, which is "administratively scoped" and does not leave the subnet.
This program re-broadcasts mDNS packets from one interface to other interfaces.
Fedora Account System Username: robert

Comment 1 Fabian Affolter 2020-06-06 20:43:23 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v2 or later)". 4 files have
     unknown license. Detailed output of licensecheck in
     /home/fab/Documents/repos/reviews/1830458-mdns-
     repeater/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: systemd_post is invoked in %post, systemd_preun in %preun, and
     systemd_postun in %postun for Systemd service files.
     Note: Systemd service file(s) in mdns-repeater
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[ ]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mdns-repeater-1.11-1.fc33.x86_64.rpm
          mdns-repeater-debuginfo-1.11-1.fc33.x86_64.rpm
          mdns-repeater-debugsource-1.11-1.fc33.x86_64.rpm
          mdns-repeater-1.11-1.fc33.src.rpm
mdns-repeater.x86_64: W: spelling-error Summary(en_US) Multicast -> Multics, Simulcast
mdns-repeater.x86_64: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
mdns-repeater.x86_64: W: spelling-error %description -l en_US subnet -> subset, sublet, sub net
mdns-repeater.x86_64: E: non-standard-dir-perm /run/mdns-repeater 750
mdns-repeater.x86_64: W: no-manual-page-for-binary mdns-repeater
mdns-repeater.src: W: spelling-error Summary(en_US) Multicast -> Multics, Simulcast
mdns-repeater.src: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
mdns-repeater.src: W: spelling-error %description -l en_US subnet -> subset, sublet, sub net
4 packages and 0 specfiles checked; 1 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: mdns-repeater-debuginfo-1.11-1.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
mdns-repeater-debugsource.x86_64: W: invalid-url URL: https://github.com/kennylevinsen/mdns-repeater <urlopen error [Errno -2] Name or service not known>
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
mdns-repeater.x86_64: W: spelling-error Summary(en_US) Multicast -> Multics, Simulcast
mdns-repeater.x86_64: W: spelling-error %description -l en_US Multicast -> Multics, Simulcast
mdns-repeater.x86_64: W: spelling-error %description -l en_US subnet -> subset, sublet, sub net
mdns-repeater.x86_64: W: invalid-url URL: https://github.com/kennylevinsen/mdns-repeater <urlopen error [Errno -2] Name or service not known>
mdns-repeater.x86_64: E: non-standard-dir-perm /run/mdns-repeater 750
mdns-repeater.x86_64: W: no-manual-page-for-binary mdns-repeater
warning: Found bdb Packages database while attempting sqlite backend: using bdb backend.
mdns-repeater-debuginfo.x86_64: W: invalid-url URL: https://github.com/kennylevinsen/mdns-repeater <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 1 errors, 7 warnings.



Source checksums
----------------
https://github.com/kennylevinsen/mdns-repeater/archive/1.11/mdns-repeater-1.11.tar.gz :
  CHECKSUM(SHA256) this package     : e9595a75a0511236892f69fde66cbf81bc08f9cec5363b1f726ff56299ad9968
  CHECKSUM(SHA256) upstream package : e9595a75a0511236892f69fde66cbf81bc08f9cec5363b1f726ff56299ad9968


Requires
--------
mdns-repeater (rpmlib, GLIBC filtered):
    /bin/sh
    config(mdns-repeater)
    libc.so.6()(64bit)
    rtld(GNU_HASH)
    systemd

mdns-repeater-debuginfo (rpmlib, GLIBC filtered):

mdns-repeater-debugsource (rpmlib, GLIBC filtered):



Provides
--------
mdns-repeater:
    config(mdns-repeater)
    mdns-repeater
    mdns-repeater(x86-64)

mdns-repeater-debuginfo:
    debuginfo(build-id)
    mdns-repeater-debuginfo
    mdns-repeater-debuginfo(x86-64)

mdns-repeater-debugsource:
    mdns-repeater-debugsource
    mdns-repeater-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1830458
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: Python, SugarActivity, Haskell, Perl, PHP, Ocaml, R, fonts, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

The included patch was applied upstream but there is no release. Thus, it doesn't make sense to link to it as with the next release the link will ge gone anyways.

Package APPROVED.

Comment 2 Igor Raits 2020-06-07 07:20:26 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mdns-repeater

Comment 3 Fedora Update System 2020-06-07 17:46:59 UTC
FEDORA-2020-8f34d20586 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8f34d20586

Comment 4 Fedora Update System 2020-06-07 17:47:37 UTC
FEDORA-2020-5a4d98475c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5a4d98475c

Comment 5 Fedora Update System 2020-06-07 17:48:17 UTC
FEDORA-EPEL-2020-bdfa7d3d3f has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-bdfa7d3d3f

Comment 6 Fedora Update System 2020-06-07 20:47:33 UTC
FEDORA-EPEL-2020-5950e9ac20 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5950e9ac20

Comment 7 Fedora Update System 2020-06-11 18:19:45 UTC
mdns-repeater-1.11-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-bdfa7d3d3f

Comment 8 Fedora Update System 2020-06-11 19:20:23 UTC
mdns-repeater-1.11-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8f34d20586

Comment 9 Fedora Update System 2020-06-11 19:23:24 UTC
mdns-repeater-1.11-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5a4d98475c

Comment 10 Fedora Update System 2020-06-11 19:24:07 UTC
mdns-repeater-1.11-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5950e9ac20

Comment 11 Fedora Update System 2020-06-19 01:02:03 UTC
FEDORA-2020-8f34d20586 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-06-19 01:05:31 UTC
FEDORA-2020-5a4d98475c has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-06-26 00:35:44 UTC
FEDORA-EPEL-2020-bdfa7d3d3f has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-06-26 01:52:01 UTC
FEDORA-EPEL-2020-5950e9ac20 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.